Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XFcClientCommWin Class Reference

XFcClientCommWin is client communication window class. It's interface for communicate to other clients. More...

Inheritance diagram for XFcClientCommWin:

[legend]
Collaboration diagram for XFcClientCommWin:

[legend]
List of all members.

## Public Types
enum | XFCNET_CONNECTION_SPEED { XFCNET_MODEM_28_8, XFCNET_HSCD_14_4, XFCNET_GPRS, XFCNET_WLAN_2MB, XFCNET_WLAN_11MB, XFCNET_BLUETOOTH }
| Connection speed enumeration. More...
## Public Member Functions
virtual XFCIMPORT | ~XFcClientCommWin ()
| Virtual destructor.
virtual XFCIMPORT void | intializeClient ()
| Runtime initialize client.
virtual XFCIMPORT void | deinitializeClient ()
| Runtime deinitialize client.
XFCIMPORT INT32 | getLastError () const
| Gets latest error of XFcClientCommWin.
XFCIMPORT void | setLastError (INT32 aError)
| Sets latest error.
virtual XFCIMPORT XFcObjectDataFrame * | getPacketFrame (INT aSlot)=0
| Gets a packet frame.
virtual XFCIMPORT XFcObjectDataFrame * | getRecentStateFrame (INT32 aRecentId)=0
| Gets recent state frame.
virtual XFCIMPORT void | removeRecentStateFrame (INT32 aRecentId)=0
| Removes recent state frame.
virtual XFCIMPORT INT32 | incoming (XFcObjectPacketBase &aRecvBuffer)=0
| Incoming data buffer.
virtual XFCIMPORT INT32 | outgoing (XFcObjectPacketBase &aSendBuffer)=0
| Outgoing data buffer.
virtual XFCIMPORT INT | bandwidthCheck ()=0
| Gets status of bandwidth.
virtual XFCIMPORT INT | isClientActive ()=0
| Gets client status.
virtual XFCIMPORT INT | testAddress (const XFcAddress &aAddress)=0
| Tests clients address against given address.
virtual XFCIMPORT void | setAddress (const XFcAddress &aAddress)=0
| Sets host address.
XFCIMPORT const XFcAddress & | getAddress () const
| Gets host address.
XFCIMPORT void | setConnectionTimeout (INT32 aTime)
| Sets connection timeout.
XFCIMPORT INT32 | getConnectionTimeout () const
| Gets connection timeout.
XFCIMPORT void | setConnectionType (INT aType)
| Sets connection type.
XFCIMPORT INT | getConnectionType () const
| Gets connection type.
XFCIMPORT void | setRtt (INT32 aRttValue)
| Set round trip time.
XFCIMPORT INT32 | getRtt () const
| Gets round trip time.
XFCIMPORT INT32 | getClientId () const
| Gets client id.
XFCIMPORT void | setClientId (INT32 aId)
| Sets client id.
XFCIMPORT void | setObjectDataServant (XFcObjectDataServant *aObjectDataServant)
| Sets object data servant.
XFCIMPORT XFcObjectDataServant * | getObjectDataServant () const
| Gets object data servant.
XFCIMPORT void | setCommSpeed (INT aType)
| Sets communication speed.
XFCIMPORT INT | getCommSpeed () const
| Gets communication speed.
## Protected Member Functions
INT | initClientCommWin ()
| Initializes.
XFCIMPORT | XFcClientCommWin ()
| Protected constructor.
## Protected Attributes
XFcObjectDataServant * | mObjectDataServant
| Incoming data handler.
XFcAddress * | mAddress
| Host address.
INT32 | mClientId
| Holds client id.
## Private Attributes
INT32 | mConnectionType
| Connection type, e.g. INET, IRDA, BLUETOOTH.
INT32 | mConnectionTimeOut
| Connection time out.
UINT32 | mRtt
| Round trip time.
INT32 | mCommSpeed
| Connection speed.
INT32 | mLastError
| Holds latest error.

## Detailed Description

XFcClientCommWin is client communication window class. It's interface for communicate to other clients.

It's interface class for every clients used with network. On X-Forge network all network network/bt users are clients. Server side ClientCommWin and client side ClientCommWin are connected together.

## Member Enumeration Documentation

enum XFcClientCommWin::XFCNET_CONNECTION_SPEED

  | Connection speed enumeration. Enumeration values:
  XFCNET_MODEM_28_8 | 28.8 kbit/s.
  XFCNET_HSCD_14_4 | 14.4 kbit/s.
  XFCNET_GPRS | 9 - 150 kbit/s.
  XFCNET_WLAN_2MB | 2 Mbit/s.
  XFCNET_WLAN_11MB | 11 Mbit/s.
  XFCNET_BLUETOOTH | Bluetooth.

## Constructor & Destructor Documentation

XFCIMPORT XFcClientCommWin::XFcClientCommWin | ( |  | ) | `[protected]`

| Protected constructor.

virtual XFCIMPORT XFcClientCommWin::~XFcClientCommWin | ( |  | ) | `[virtual]`

| Virtual destructor.

## Member Function Documentation

virtual XFCIMPORT INT XFcClientCommWin::bandwidthCheck | ( |  | ) | `[pure virtual]`

| Gets status of bandwidth. Returns: 1 if we are able to send data, or 0 otherwise. Implemented in XFcBtClientWin, and XFcInetClientWin.

virtual XFCIMPORT void XFcClientCommWin::deinitializeClient | ( |  | ) | `[virtual]`

| Runtime deinitialize client. Reimplemented in XFcBtClientWin.

XFCIMPORT const XFcAddress& XFcClientCommWin::getAddress | ( |  | ) | const

| Gets host address. Returns: host address set by setHostAddress().

XFCIMPORT INT32 XFcClientCommWin::getClientId | ( |  | ) | const

| Gets client id.

XFCIMPORT INT XFcClientCommWin::getCommSpeed | ( |  | ) | const

| Gets communication speed.

XFCIMPORT INT32 XFcClientCommWin::getConnectionTimeout | ( |  | ) | const

| Gets connection timeout. Returns: connection timeout value.

XFCIMPORT INT XFcClientCommWin::getConnectionType | ( |  | ) | const

| Gets connection type. Returns: connection type.

XFCIMPORT INT32 XFcClientCommWin::getLastError | ( |  | ) | const

| Gets latest error of XFcClientCommWin.

XFCIMPORT XFcObjectDataServant* XFcClientCommWin::getObjectDataServant | ( |  | ) | const

| Gets object data servant. Returns: object data servant.

virtual XFCIMPORT XFcObjectDataFrame* XFcClientCommWin::getPacketFrame | ( | INT | aSlot | ) | `[pure virtual]`

  | Gets a packet frame. Parameters:
  aSlot | client id.
Returns: packet frame class. Implemented in XFcBtClientWin, and XFcInetClientWin.

virtual XFCIMPORT XFcObjectDataFrame* XFcClientCommWin::getRecentStateFrame | ( | INT32 | aRecentId | ) | `[pure virtual]`

  | Gets recent state frame. Parameters:
  aRecentId | recent state id.
Returns: recent state frame. Implemented in XFcBtClientWin, and XFcInetClientWin.

XFCIMPORT INT32 XFcClientCommWin::getRtt | ( |  | ) | const

| Gets round trip time. Returns: round trip time in milliseconds.

virtual XFCIMPORT INT32 XFcClientCommWin::incoming | ( | XFcObjectPacketBase & | aRecvBuffer | ) | `[pure virtual]`

  | Incoming data buffer. Parameters:
  aRecvBuffer | packet base that contains new data from network.
Returns: length of incoming data in bytes. Implemented in XFcBtClientWin, and XFcInetClientWin.

INT XFcClientCommWin::initClientCommWin | ( |  | ) | `[protected]`

| Initializes. Returns: 1 if successful, or 0 otherwise.

virtual XFCIMPORT void XFcClientCommWin::intializeClient | ( |  | ) | `[virtual]`

| Runtime initialize client.

virtual XFCIMPORT INT XFcClientCommWin::isClientActive | ( |  | ) | `[pure virtual]`

| Gets client status. Implemented in XFcBtClientWin, and XFcInetClientWin.

virtual XFCIMPORT INT32 XFcClientCommWin::outgoing | ( | XFcObjectPacketBase & | aSendBuffer | ) | `[pure virtual]`

  | Outgoing data buffer. Parameters:
  aSendBuffer | packet base where sendable packet is created.
Returns: length of data in bytes. Implemented in XFcBtClientWin, and XFcInetClientWin.

virtual XFCIMPORT void XFcClientCommWin::removeRecentStateFrame | ( | INT32 | aRecentId | ) | `[pure virtual]`

  | Removes recent state frame. Parameters:
  aRecentId | recent state id.
Implemented in XFcBtClientWin, and XFcInetClientWin.

virtual XFCIMPORT void XFcClientCommWin::setAddress | ( | const XFcAddress & | aAddress | ) | `[pure virtual]`

  | Sets host address. Parameters:
  aAddress | host address.
Implemented in XFcBtClientWin, and XFcInetClientWin.

XFCIMPORT void XFcClientCommWin::setClientId | ( | INT32 | aId | ) |

| Sets client id.

XFCIMPORT void XFcClientCommWin::setCommSpeed | ( | INT | aType | ) |

| Sets communication speed.

XFCIMPORT void XFcClientCommWin::setConnectionTimeout | ( | INT32 | aTime | ) |

  | Sets connection timeout. Parameters:
  aTime | timeout.

XFCIMPORT void XFcClientCommWin::setConnectionType | ( | INT | aType | ) |

  | Sets connection type. Parameters:
  aType | connection type.

XFCIMPORT void XFcClientCommWin::setLastError | ( | INT32 | aError | ) |

| Sets latest error.

XFCIMPORT void XFcClientCommWin::setObjectDataServant | ( | XFcObjectDataServant * | aObjectDataServant | ) |

  | Sets object data servant. Parameters:
  aObjectDataServant | object data servant.

XFCIMPORT void XFcClientCommWin::setRtt | ( | INT32 | aRttValue | ) |

  | Set round trip time. Parameters:
  aRttValue | round trip time in milliseconds.

virtual XFCIMPORT INT XFcClientCommWin::testAddress | ( | const XFcAddress & | aAddress | ) | `[pure virtual]`

| Tests clients address against given address. Implemented in XFcBtClientWin, and XFcInetClientWin.

## Member Data Documentation

XFcAddress* XFcClientCommWin::mAddress`[protected]`

| Host address.

INT32 XFcClientCommWin::mClientId`[protected]`

| Holds client id.

INT32 XFcClientCommWin::mCommSpeed`[private]`

| Connection speed.

INT32 XFcClientCommWin::mConnectionTimeOut`[private]`

| Connection time out.

INT32 XFcClientCommWin::mConnectionType`[private]`

| Connection type, e.g. INET, IRDA, BLUETOOTH.

INT32 XFcClientCommWin::mLastError`[private]`

| Holds latest error.

XFcObjectDataServant* XFcClientCommWin::mObjectDataServant`[protected]`

| Incoming data handler.

UINT32 XFcClientCommWin::mRtt`[private]`

| Round trip time.

|  | X-Forge Documentation Confidential Copyright © 2002-2003 Fathammer |  | Documentation generated with doxygen by Dimitri van Heesch